# $Revision: 1.17 $, $Date: 2012/06/21 10:19:50 $
%define		modulename pam_apparmor
Summary:	PAM module to add AppArmor change_hat functionality
Summary(pl.UTF-8):	Moduł PAM dodający funkcjonalność AppArmor change_hat
Name:		pam-%{modulename}
Version:	2.8.0
Release:	1
Epoch:		1
License:	BSD or GPL
Group:		Base
Source0:	http://launchpad.net/apparmor/2.8/%{version}/+download/apparmor-%{version}.tar.gz
# Source0-md5:	eaf90c52992df3d205a753b2933595fe
URL:		http://apparmor.wiki.kernel.org/
BuildRequires:	libapparmor-devel >= 1:%{version}
BuildRequires:	pam-devel
Requires:	libapparmor >= 1:%{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The pam_apparmor module provides the means for any PAM applications
that call pam_open_session() to automatically perform an AppArmor
change_hat operation in order to switch to a user-specific security
policy.

%description -l pl.UTF-8
Moduł pam_apparmor daje możliwość każdej aplikacji PAM wywołującej
pam_open_session() automatycznie wykonać operację AppArmor change_hat
w celu przełączenia na specyficzną dla użytkownika politykę
bezpieczeństwa.

%prep
%setup -q -n apparmor-%{version}

%build
%{__make} -C changehat/pam_apparmor \
	CFLAGS="%{rpmcflags} %{rpmcppflags}" \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT

install -D changehat/pam_apparmor/pam_apparmor.so $RPM_BUILD_ROOT/%{_lib}/security/pam_apparmor.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc changehat/pam_apparmor/{COPYING,README}
%attr(755,root,root) /%{_lib}/security/pam_apparmor.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog -n pam_apparmor
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pam-pam_apparmor.spec,v $
Revision 1.17  2012/06/21 10:19:50  arekm
- up to 2.8.0

Revision 1.16  2012/04/07 06:00:24  qboosh
- versioned runtime dependency on libapparmor

Revision 1.15  2012/04/07 05:47:46  qboosh
- License is dual (BSD/GPL); package COPYING containing BSD license text
- libapparmor epoch

Revision 1.14  2012/04/05 20:55:04  arekm
- up to 2.7.2

Revision 1.13  2011/04/01 07:35:10  arekm
- up to 2.6.1

Revision 1.12  2011/03/13 15:22:39  arekm
- up to 2.6.0

Revision 1.11  2011/01/29 00:07:08  sparky
- dropped pre-cvs changelog

Revision 1.10  2010/03/16 22:03:39  arekm
- up to 2.5

Revision 1.9  2010/02/23 22:37:42  gotar
- upgraded to 2.3-906, pass CFLAGS

Revision 1.8  2008/05/29 21:24:30  arekm
- up to 2.1.2.906

Revision 1.7  2007/04/14 00:32:07  zbyniu
- up to 2.0.1-437; epoch 1

Revision 1.6  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:18  baggins
- converted to UTF-8

Revision 1.4  2006/12/01 00:29:51  zbyniu
- up to september snapshot

Revision 1.3  2006/04/22 16:01:00  qboosh
- pl

Revision 1.2  2006/04/21 07:34:01  spider
- cosmetics

Revision 1.1  2006/04/20 23:23:18  zbyniu
- new, based on spec from package
